@import "../_snowpack/pkg/tailwindcss/dist/base.css";
@import "../_snowpack/pkg/tailwindcss/dist/components.css";
@import "../_snowpack/pkg/tailwindcss/dist/utilities.css";

main {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: #000;
}

.title-container {
  color: #fff;
  margin: 20px 0;
  width: 100%;
  padding: 0 24px;
  justify-self: start;
}

.title-container h1 {
  font-size: 20px;
  font-weight: bold;
  letter-spacing: 0.1px;
  text-align: center;
}

.main-container {
  height: auto;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 24px;
  background: rgb(10, 10, 10);
  border-bottom: 3px solid springgreen;
  border-top: 3px solid springgreen;
}

.main-container .main-container__video {
  position: relative;
}

.main-container .main-container__video video {
  min-width: 270px;
  width: 1024px;
}

.main-container__controls {
  height: 60px;
  width: 100%;
  background: #000;
  background: linear-gradient(0deg, rgb(0, 0, 0) 0%, transparent 100%);
  opacity: 0%;
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 0 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 8px;
  transition-duration: 1.5s;
}

.container-progress {
  width: 100%;
}

.container-progress .progress {
  appearance: none;
  width: 100%;
  height: 4px;
  background: #fff;
  cursor: pointer;
}

.container-progress .progress .bar {
  height: 4px;
  width: 0%;
  background-color: springgreen;
}

.main-container__controls-down {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
}

.main-container__controls-left {
  display: flex;
  align-items: center;
  gap: 15px;
}

.main-container__controls-left .pause {
  display: none;
}

.main-container__controls-left .nomute {
  display: none;
}

.main-container__controls-left .duration-container {
  color: #fff;
  font-size: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.main-container__controls-right {
  display: flex;
  align-items: center;
}

.main-container__controls-right .compress {
  display: none;
}

/* Iconos */
.fas {
  font-size: 20px;
  color: #fff;
}

.fas:hover {
  color: springgreen;
}

.show-controls .main-container__controls {
  opacity: 100%;
  transition-duration: 0.1s;
}

.main-container__controls .show-icon {
  display: block;
}

.main-container__controls .hidden-icon {
  display: none;
}

.active {
  color: springgreen;
}

.expand-video {
  position: absolute;
  top: 0;
  bottom: 0%;
  right: 0;
  left: 0;
  padding: 0;
}

.expand-video .main-container__video {
  height: 100%;
}

.expand-video .main-container__video .video {
  width: 100%;
  height: 100%;
}

@media (min-width: 640px) {
  .title-container h1 {
    text-align: start;
  }
}

@media (min-width: 900px) {
  .title-container h1 {
    font-size: 2.5rem;
  }
}
